io.agora.rtc

## Enum Constants.RemoteAudioState

- java.lang.Object
- - java.lang.Enum<Constants.RemoteAudioState>
  - - io.agora.rtc.Constants.RemoteAudioState

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<Constants.RemoteAudioState>
  Enclosing class:
    Constants

      public static enum Constants.RemoteAudioState
      extends java.lang.Enum<Constants.RemoteAudioState>

  Remote audio states.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `REMOTE_AUDIO_STATE_DECODING` 2: The remote audio stream is decoded and plays normally, probably due to `REMOTE_AUDIO_REASON_NETWORK_RECOVERY(2)`, `REMOTE_AUDIO_REASON_LOCAL_UNMUTED(4)`, or `REMOTE_AUDIO_REASON_REMOTE_UNMUTED(6)`.
    `REMOTE_AUDIO_STATE_FAILED` 4: The remote audio fails to start, probably due to `REMOTE_AUDIO_REASON_INTERNAL(0)`.
    `REMOTE_AUDIO_STATE_FROZEN` 3: The remote audio is frozen, probably due to `REMOTE_AUDIO_REASON_NETWORK_CONGESTION(1)`.
    `REMOTE_AUDIO_STATE_STARTING` 1: The first remote audio packet is received.
    `REMOTE_AUDIO_STATE_STOPPED` 0: The remote audio is in the default state, probably due to `REMOTE_AUDIO_REASON_LOCAL_MUTED(3)`, `REMOTE_AUDIO_REASON_REMOTE_MUTED(5)`, or `REMOTE_AUDIO_REASON_REMOTE_OFFLINE(7)`.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `value` Integer value of the remote audio state

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static int` | `getValue(Constants.RemoteAudioState state)` Gets the integer value of the remote audio state.
    `static Constants.RemoteAudioState` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static Constants.RemoteAudioState[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### REMOTE_AUDIO_STATE_STOPPED

          public static final Constants.RemoteAudioState REMOTE_AUDIO_STATE_STOPPED

      0: The remote audio is in the default state, probably due to `REMOTE_AUDIO_REASON_LOCAL_MUTED(3)`, `REMOTE_AUDIO_REASON_REMOTE_MUTED(5)`, or `REMOTE_AUDIO_REASON_REMOTE_OFFLINE(7)`.

    - #### REMOTE_AUDIO_STATE_STARTING

          public static final Constants.RemoteAudioState REMOTE_AUDIO_STATE_STARTING

      1: The first remote audio packet is received.

    - #### REMOTE_AUDIO_STATE_DECODING

          public static final Constants.RemoteAudioState REMOTE_AUDIO_STATE_DECODING

      2: The remote audio stream is decoded and plays normally, probably due to `REMOTE_AUDIO_REASON_NETWORK_RECOVERY(2)`, `REMOTE_AUDIO_REASON_LOCAL_UNMUTED(4)`, or `REMOTE_AUDIO_REASON_REMOTE_UNMUTED(6)`.

    - #### REMOTE_AUDIO_STATE_FROZEN

          public static final Constants.RemoteAudioState REMOTE_AUDIO_STATE_FROZEN

      3: The remote audio is frozen, probably due to `REMOTE_AUDIO_REASON_NETWORK_CONGESTION(1)`.

    - #### REMOTE_AUDIO_STATE_FAILED

          public static final Constants.RemoteAudioState REMOTE_AUDIO_STATE_FAILED

      4: The remote audio fails to start, probably due to `REMOTE_AUDIO_REASON_INTERNAL(0)`.

  - ### Field Detail

    - #### value

          public final int value

      Integer value of the remote audio state

  - ### Method Detail

    - #### values

          public static Constants.RemoteAudioState[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Constants.RemoteAudioState c : Constants.RemoteAudioState.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Constants.RemoteAudioState valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValue

          public static int getValue(Constants.RemoteAudioState state)

      Gets the integer value of the remote audio state.
      Parameters:
        `state` - Remote audio state
      Returns:
        The integer value